<?php
/**
 * Copyright © 2015 FiloBlu . All rights reserved.
 */
namespace FiloBlu\Flow\Helper;

class Product extends \Magento\Framework\App\Helper\AbstractHelper
{


    public function getProductAttributeSet(){
        return 4;
    }

    public function createNewProducts(){
        return true;
    }

    public function getInitialProductStatus(){
        return 2;
    }

    public function getAddToWebsites(){
        return 1;
    }

    public function getMappedTaxClassId($TaxClassCode){
        return 2;
    }

    public function getParentProductsIds($childProducts){
        $relationTableName = \Magento\Framework\App\ObjectManager::getInstance()->get('\Magento\Framework\App\ResourceConnection')->getTableName('catalog_product_super_link');

        $products = \Magento\Framework\App\ObjectManager::getInstance()->create('Magento\Catalog\Model\ResourceModel\Product\Collection')
            ->load();

        //$products->addStoreFilter(Mage::app()->getStore($storeId));
        $products->getSelect()->join(array('super_link'=> $relationTableName), 'e.entity_id = super_link.parent_id');
        $products->getSelect()->where('super_link.product_id IN (?)', $childProducts);
        //$products->addFieldToFilter('type_id', $productType);
        $products->getSelect()->group('e.entity_id');

        return $products->getAllIds();
    }

    public function getSimpleToConfigurableProductAttributesToExclude(){
        $saved = array();//Mage::getStoreConfig('fbflow/simple_to_configurable_attributes_to_exclude');
        if(is_string($saved)){
            return explode(",", $saved);
        }

        return array();
    }

    public function getSimpleToConfigurableSyncAttributes(){
        /*
        $scope = array(
            Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_STORE,
            Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_WEBSITE
        );
        */
        $attributesToCopy = \Magento\Framework\App\ObjectManager::getInstance()->create('FiloBlu\Flow\Model\System\ProductAttributes')->getAttributesToCopy()->getColumnValues('attribute_code');
//            ->getAttributesToCopy()
            //->addFieldToFilter('is_global', array("in" => $scope))
//            ->getColumnValues('attribute_code');

        $excludedAttributes = $this->getSimpleToConfigurableProductAttributesToExclude();
        $attributesToCopy = array_diff($attributesToCopy, $excludedAttributes);
        return $attributesToCopy;
    }

    public function getUpdateConfigurablePrice(){
        return false;//!((bool)Mage::getStoreConfig('fbflow/configurable_price'));
    }

}