<?php
namespace FiloBlu\Flow\Model\From;


abstract class AbstractFrom extends \Magento\Framework\Model\AbstractModel {

    const PRODUCT_NOT_FOUND_META_STATUS = -2;

    abstract public function process();

    public function processBeginningOfFlow() {

        return $this;
    }

    public function processEndOfFlow() {

        return $this;
    }

    public function setProcessed() {
        $now = Mage::getModel('core/date')->date();
        $this->setMetaProcessed(true)
            ->setMetaProcessTime($now);
        return $this;
    }

    protected function error($blocking, $msg) {
        if ($blocking) {
            throw new Exception($msg);
        } else {
            $this->setErrorMessage($msg);
            return false;
        }
    }

}